CREATE TABLE bm_doc_ed_cond_expr (
    ID                   NUMBER(18, 0) ,
    NAME                 VARCHAR2(1024),
    REF_TYPE             NUMBER(2, 0)      NOT NULL,
    COND_TYPE            NUMBER(1, 0)      NOT NULL,
    DATA_SRC_ID          NUMBER(18, 0)     NOT NULL,
    PAGE_ID              NUMBER(18, 0)     NOT NULL,
    CMPLX_CND_ID         NUMBER(18, 0)     NOT NULL,
    ODR_OF_OPS           VARCHAR2(1024),
    IS_CUSTOM            NUMBER(1, 0)      NOT NULL,
    CUSTOM_DATA          CLOB          ,
    DOC_ID               NUMBER(18, 0) ,
    GEN_VAR_NAME         VARCHAR2(4000),
    CNT_LIB_ID           NUMBER(18, 0)     NOT NULL,
    DATE_ADDED           DATE              NOT NULL,
    DATE_MODIFIED        DATE              NOT NULL,
    CMPLX_CND_EXPR_ID    NUMBER(18, 0) ,
    GUID                 VARCHAR2(1020)    NOT NULL,
    ID                   NUMBER(18, 0) ,
    NAME                 VARCHAR2(1024),
    REF_TYPE             NUMBER(2, 0)      NOT NULL,
    COND_TYPE            NUMBER(1, 0)      NOT NULL,
    DATA_SRC_ID          NUMBER(18, 0)     NOT NULL,
    PAGE_ID              NUMBER(18, 0)     NOT NULL,
    CMPLX_CND_ID         NUMBER(18, 0)     NOT NULL,
    ODR_OF_OPS           VARCHAR2(1024),
    IS_CUSTOM            NUMBER(1, 0)      NOT NULL,
    CUSTOM_DATA          CLOB          ,
    DOC_ID               NUMBER(18, 0) ,
    GEN_VAR_NAME         VARCHAR2(4000),
    CNT_LIB_ID           NUMBER(18, 0)     NOT NULL,
    DATE_ADDED           DATE              NOT NULL,
    DATE_MODIFIED        DATE              NOT NULL,
    CMPLX_CND_EXPR_ID    NUMBER(18, 0) ,
    GUID                 VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_doc_ed_cond_expr PRIMARY KEY (ID, ID)
);
